This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 145566

Summary: /dev/modem not created on boot
Product: [Fedora] Fedora Reporter: Boris Goldowsky <boris>
Component: udevAssignee: Bill Nottingham <notting>
Status: CLOSED INSUFFICIENT_DATA QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: evanclarke, harald, mattdm, oliver, rvokal, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 20:05:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Boris Goldowsky 2005-01-19 14:46:22 EST
Description of problem:

After installation of PCI modem, kudzu picked it up and installed it
as /dev/ttyS14, linked to /dev/modem.

After next reboot, /dev/ttyS14 works but /dev/modem is gone.

Version-Release number of selected component (if applicable):

udev-039-10.FC3.6
kudzu-1.1.95-1

How reproducible:

Haven't retried hardware install, but linked is consistently absent on
boot.


Steps to Reproduce:
1. Install modem
2. Boot, see /dev/modem
3. Reboot, it's gone
  
Expected results:

If link is created the first time, it should stay there.
Comment 1 Bill Nottingham 2005-01-19 22:06:11 EST
Hm, there's really no framework in the hardware tool for continually
adding symlinks.

What uses the symlink, if anything?
Comment 2 Boris Goldowsky 2005-01-19 22:19:11 EST
Well, when I saw that the modem was called /dev/modem, I inserted that
into various configuration files (eg, /etc/mgetty+sendfax/*).  Then it
all broke on reboot.

It would be ok with me if the symlink never got created in the first
place.
Comment 3 Evan Clarke 2005-02-06 04:16:50 EST
I would like to add a few things:
Similar situation: hardware internal 56k modem

First boot, kudzu picks it up and adds the link.
Second boot, link gone.

If I remove /etc/sysconfig/hwconf and reboot, the modem link is re-added.

The file README in the kudzu source states that:
"3) What is kudzu doing when it says 'Configuring device X...'?
...
- Modem
        - makes /dev/modem link"

This is exactly what it does for CDROMS and scanners.  Having a
persistant link is extremely useful when it comes to config files/etc.

As for there being no framework for continually adding symlinks, there
does seem to be one in place for CDROMS and so forth, as my /dev/cdrom
gets added each boot.

I cannot state how useful this persistant link is.
Comment 4 Bill Nottingham 2005-02-07 14:48:22 EST
cdrom links are maintained by udev in the udev configuration. I
suspect that modem links would have to go there as well.
Comment 5 Evan Clarke 2005-02-13 05:22:37 EST
Should this bug be closed and re-opened as a udev bug?

Seems that kudzu creating links (as mentioned in the documentation)
for cdroms and modems (possibly others as well) is somewhat obsolete
now with the introduction of hotplug and udev.  Should this
functionality be removed?  If anything it results in devices
'disappearing'.  When you set up a machine with everything pointing to
/dev/modem and have that disappear at boot is quite a problem.

Additionally, the network configurator lists /dev/modem as a main
entry for the location of the modem, /dev/ttyS14 isn't listed and
needs to be manually added.
Comment 7 Bill Nottingham 2005-09-28 17:23:07 EDT
Moving to udev, leaving assigned to me. I suspect there will have to be some
udev magic on serial port detection.
Comment 8 Matthew Miller 2006-07-10 18:22:39 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 9 Matthew Miller 2006-07-12 09:07:29 EDT
Harald moved this to devel. Thanks!
Comment 10 Harald Hoyer 2007-09-20 06:46:21 EDT
Any further thoughts on this?
How can we automatically detects modems on ttyS* ?
How should we store manual modem configurations?
Comment 11 Bill Nottingham 2007-09-20 10:06:19 EDT
Probably a helper that runs on /dev/ttySX from udev that makes the symlink. If
someone needs setserial-fu, they can write their own rules.
Comment 12 Bug Zapper 2008-04-03 11:49:53 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 13 Bug Zapper 2008-05-06 20:05:42 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp